/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import ClayLayout from '@clayui/layout';
import classNames from 'classnames';
import React from 'react';

const Container = ({active = false, children, className, ...otherProps}) => (
	<nav
		{...otherProps}
		className={classNames(
			'management-bar navbar navbar-expand-md',
			className,
			{
				'management-bar-light': !active,
				'management-bar-primary navbar-nowrap': active,
			}
		)}
	>
		<ClayLayout.ContainerFluid>{children}</ClayLayout.ContainerFluid>
	</nav>
);

export default Container;
