/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import classNames from 'classnames';
import PropTypes from 'prop-types';
import React from 'react';

const ResultsBarItem = ({
	children,
	className,
	expand = false,
	...otherProps
}) => (
	<li
		{...otherProps}
		className={classNames('tbar-item', className, {
			'tbar-item-expand': expand,
		})}
	>
		<div className="tbar-section">{children}</div>
	</li>
);

ResultsBarItem.propTypes = {
	expand: PropTypes.bool,
};

export default ResultsBarItem;
